Module java.corba
Package org.omg.CORBA

## Interface ARG_INOUT

    public interface ARG_INOUT

Signifies an argument used for both input and output in an invocation, meaning that the argument is being passed from the client to the server and then back from the server to the client. `ARG_INOUT.value` is one of the possible values used to indicate the direction in which a parameter is being passed during a dynamic invocation using the Dynamic Invocation Interface (DII).

The code fragment below shows a typical usage:

      ORB orb = ORB.init(args, null);
      org.omg.CORBA.NamedValue nv = orb.create_named_value(
            "argumentIdentifier", myAny, org.omg.CORBA.ARG_INOUT.value);

Since:
  JDK1.2
See Also:
  `NamedValue`

### Field Summary

Fields
`static int` `value` The constant value indicating an argument used for both input and output.

### Field Detail

#### value

    static final int value

The constant value indicating an argument used for both input and output.

See Also:
  Constant Field Values